%define name	camsource
%define version	0.7.0
%define release 3mdk

%define major	0
%define libname %mklibname %name %major

Name: 	 	%{name}
Summary: 	Modular, multithreaded, plugin-enabled video4linux grabber
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://camsource.sourceforge.net/
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libxml2-devel libjpeg-devel
Requires:	%libname = %version

%description
In short, camsource grabs images from a video4linux device and makes them
available to various plugins for processing or handling. It features a
modularized and multithreaded design to offer a large amount of flexibility. A
server plugin runs in its own thread, which makes it possible to use the same
grabbed frame for several purposes at the same time. There are also filter
plugins, which can be daisychained to create useful and no-so-useful effects
in images. The configuration happens through an xml config file, hopefully
making configuring camsource an easy task.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS
%{_bindir}/%name
%{_sysconfdir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%name
%{_libdir}/%name/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/%name/*.so
%{_libdir}/%name/*.a
%{_libdir}/%name/*.la

%changelog
* Wed Aug 6 2003 Austin Acton <aacton@yorku.ca> 0.7.0-3mdk
- more DIRM

* Wed Jul 16 2003 Austin Acton <aacton@yorku.ca> 0.7.0-2mdk
- DIRM

* Wed May 7 2003 Austin Acton <aacton@yorku.ca> 0.7.0-1mdk
- initial package
